import { OnInit, TemplateRef, SimpleChanges } from '@angular/core';
import { Observable } from 'rxjs';
import { NgxHttpLoaderInterceptor } from './ngx-loader-interceptor.service';
import { NgxHttpLoaderService } from './ngx-http-loader.service';
import { DomSanitizer } from '@angular/platform-browser';
export declare class NgxHttpLoaderComponent implements OnInit {
    private requestService;
    service: NgxHttpLoaderService;
    sanitizer: DomSanitizer;
    customEnumLoader: {
        DEFAULT: string;
        CLOCK: string;
        DUALRING: string;
        ELLIPSIS: string;
        FACEBOOK: string;
        GEAR: string;
        GRID: string;
        HEART: string;
        HOURGLASS: string;
        JELLYBOX: string;
        MULTICIRCLE: string;
        RING: string;
        RIPPLE: string;
        ROLLER: string;
        SPINNER: string;
        THREEBOUNCE: string;
        WATERWAVE: string;
        ROTATINGPLANE: string;
    };
    customTemplate: TemplateRef<any>;
    customLoader: TemplateRef<any>;
    loader: string | null;
    filterUrlRegexPatterns: RegExp[];
    filterUrls: string[];
    filterHttpHeaders: string[];
    filterHttpMethods: string[];
    delay: number;
    extraDelay: number;
    minDuration: number;
    opacity: number;
    backdropBackgroundColor: string;
    iconColor: string;
    title: string;
    titleColor: string;
    titleSize: string;
    subTitle: string;
    subTitleColor: string;
    subTitleSize: string;
    custom: boolean;
    show$: Observable<boolean>;
    private showuntil;
    constructor(requestService: NgxHttpLoaderInterceptor, service: NgxHttpLoaderService, sanitizer: DomSanitizer);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    initAllFilters(): void;
    initShowObservable(): void;
    private updateHideDelay;
    private showUpto;
}
